com.buschmais.jqassistant.plugin.java.impl.scanner.visitor

## Class VisitorHelper

- java.lang.Object
- - com.buschmais.jqassistant.plugin.java.impl.scanner.visitor.VisitorHelper

-     public class VisitorHelper
      extends Object

  Class containing helper methods for ASM visitors.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `VisitorHelper(com.buschmais.jqassistant.core.scanner.api.ScannerContext scannerContext)` Constructor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addInvokes(MethodDescriptor methodDescriptor, int lineNumber, MethodDescriptor invokedMethodDescriptor)` Add a invokes relation between two methods.
    `ParameterDescriptor` | `addParameterDescriptor(MethodDescriptor methodDescriptor, int index)`
    `void` | `addReads(MethodDescriptor methodDescriptor, int lineNumber, FieldDescriptor fieldDescriptor)` Add a reads relation between a method and a field.
    `void` | `addWrites(MethodDescriptor methodDescriptor, int lineNumber, FieldDescriptor fieldDescriptor)` Add a writes relation between a method and a field.
    `ParameterDescriptor` | `getParameterDescriptor(MethodDescriptor methodDescriptor, int index)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### VisitorHelper

          public VisitorHelper(com.buschmais.jqassistant.core.scanner.api.ScannerContext scannerContext)

      Constructor.
      Parameters:
        `scannerContext` - The scanner context

  - ### Method Detail

    - #### addParameterDescriptor

          public ParameterDescriptor addParameterDescriptor(MethodDescriptor methodDescriptor,
                                                            int index)

    - #### getParameterDescriptor

          public ParameterDescriptor getParameterDescriptor(MethodDescriptor methodDescriptor,
                                                            int index)

    - #### addInvokes

          public void addInvokes(MethodDescriptor methodDescriptor,
                                 int lineNumber,
                                 MethodDescriptor invokedMethodDescriptor)

      Add a invokes relation between two methods.
      Parameters:
        `methodDescriptor` - The invoking method.
        `lineNumber` - The line number.
        `invokedMethodDescriptor` - The invoked method.

    - #### addReads

          public void addReads(MethodDescriptor methodDescriptor,
                               int lineNumber,
                               FieldDescriptor fieldDescriptor)

      Add a reads relation between a method and a field.
      Parameters:
        `methodDescriptor` - The method.
        `lineNumber` - The line number.
        `fieldDescriptor` - The field.

    - #### addWrites

          public void addWrites(MethodDescriptor methodDescriptor,
                                int lineNumber,
                                FieldDescriptor fieldDescriptor)

      Add a writes relation between a method and a field.
      Parameters:
        `methodDescriptor` - The method.
        `lineNumber` - The line number.
        `fieldDescriptor` - The field.

Copyright © 2015 buschmais GbR. All rights reserved.